local L = LibStub("AceLocale-3.0"):GetLocale("Chinon")

chinonDefautApparence = 
{
	largeurBouton = 64,
	hauteurBouton = 32,
	largeurBoutonCD = 24,
	hauteurBoutonCD = 24,
	classerParGroupe = false,
	frameSkin =
	{
		border = "Blizzard Tooltip",
		background = "Blizzard Tooltip",
		color = { r=0.1, g=0.1, b=0.1, a=0.3},
		tile = false,
		tileSize = 16,
		edgeSize = 16
	},
	buttonSkin =
	{
		border = "Blizzard Tooltip",
		background = "Blizzard Tooltip",
		color = {r=1, g=1, b=0.8, a=0.2},
		tile = false,
		tileSize = false,
		edgeSize = 8
	},
	showGroupeSeulement = false,
	hideLigneCible = false,
};

chinonDefautCDs = {}
chinonDefautSBs = {}

chinonDefautBoutons = {};

chinonDefautBoutons["PRIEST"] =
{
	{
		nom = L["Base"],
		groupe = true,
		raid = true,
		arene = true,
		clic =
		{
			{
				bouton = 1,
				sort = 2061 -- flash heal
			},
			{
				bouton = 2,
				sort = 2060 -- supeiror heal
			},
			{
				bouton = 1,
				ctrl = true,
				sort = 552 -- abolish disease
			},
			{
				bouton = 2,
				ctrl = true,
				sort =  527 -- dispel magic
			},
			{
				bouton = 1,
				shift = true,
				sort = 17 -- power word: shield
			},
			{
				bouton = 2,
				shift = true,
				sort = 139 -- renew
			},
			{
				bouton = 1,
				alt = true,
				sort = 33076 -- prier of manding
			},
			{
				bouton = 2,
				alt = true,
				sort = 34861 -- circle of healing
			}
		},
		vie = true,
		aggro = true,
		portee = 
		{
			{
				sort = 2054
			}
		},
		debuff =
		{
			{
				portee = 552,
				sorts = { Disease = true }
			},
			{
				portee = 527,
				sorts = { Magic = true }
			}
		},
		buff = 
		{
			{
				sort = 17
			},
			{
				sort = 139
			}
		},
		debuff2 = 
		{
			{
				sort = 6788
			}
		}
	}
}

chinonDefautCDs["PRIEST"] =
{
	47788 --esprit gardien
}

chinonDefautSBs["PRIEST"]=
{
	33151, -- vague de lumière
	34754 -- idées claires
}

chinonDefautBoutons["SHAMAN"] =
{
	{
		nom = L["Base"],
		groupe = true,
		raid = true,
		arene = true,
		clic = 
		{
			{
				bouton = 1,
				sort = 8004, -- vague de soin inférieurs
			},
			{
				bouton = 2,
				sort = 331, -- vague de soin
			},
			{
				bouton = 1,
				ctrl = true,
				sort = 2870, -- guérison des maladies
			},
			{
				bouton = 2,
				ctrl = true,
				sort = 526, -- guérison des poisons
			},
			{
				bouton = 1,
				shift = true,
				sort = 974, -- bouclier de terre
			},
			{
				bouton = 2,
				shift = true,
				sort = 61295, -- remous
			},
			{
				bouton = 1,
				alt = true,
				sort = 1064, -- salve de guérison
			}
		},
		vie = true,
		aggro = true,
		portee = 
		{
			{
				sort = 331
			}
		},
		debuff =
		{
			{
				portee = 2870,
				sorts = { Disease = true}
			},
			{
				portee = 526,
				sorts = { Poison = true}
			}
		},
		buff = 
		{
			{
				sort = 974 
			},
			{
				sort = 61295
			}
		},
		debuff2 = {}
	}
};

chinonDefautCDs["SHAMAN"] =
{
	16188, --rapidité de la nature
	61299 --remous
}

chinonDefautSBs["SHAMAN"]=
{
	52127 -- bouclier d'eau
}

chinonDefautBoutons["PALADIN"] =
{
	{
		nom = L["Base"],
		groupe = true,
		raid = true,
		arene = true,
		clic = 
		{
			{
				bouton = 1,
				sort = 19750, -- éclair lumineux
			},
			{
				bouton = 2,
				sort = 635, -- lumière sacrée
			},
			{
				bouton = 1,
				ctrl = true,
				sort = 4987, -- épuration
			},
			{
				bouton = 2,
				ctrl = true,
				sort = 1044, -- bénédiction de liberté
			},
			{
				bouton = 1,
				shift = true,
				sort = 20473, -- horion sacré
			},
			{ 
				bouton = 2,
				shift = true,
				sort = 1022, -- bénédiction de protection
			},
		},
		vie = true,
		aggro = true,
		portee =
		{
			{
				sort = 19750 -- éclair lumineux
			},
			{
				sort = 1022 -- bénédiction de protection
			}
		},
		debuff =
		{
			{
				portee = 4987, -- épuration
				sorts = 
				{
					Magic = true, Disease = true, Poison = true
				}
			},
			{
				portee = 1022, -- bénédiction de protection
				sorts = 
				{
					Lent = true
				}
			}
		},
		buff =
		{
			{
				sort = 1044 -- main de liberté
			},
			{
				sort = 53601 -- bouclier saint
			},
			{
				sort = 1022 -- main de protection
			},
			{
				sort = 53653 -- guide de lumière
			}
		},
		debuff2 =
		{
			{
				sort = 25771 -- longanimité
			}
		}
	},
	{
		nom = L["Affaiblissements"],
		groupe = true,
		arene = true,
		clic = 
		{
			{
				bouton = 1,
				sort = 4987, -- épuration
			},
			{
				bouton = 2,
				sort = 1044, -- bénédiction de liberté
			}
		},
		portee =
		{
			{
				sort = 1022 -- bénédiction de protection
			}
		},
		debuff =
		{
			{
				portee = 4987, -- épuration
				sorts = 
				{
					Magic = true, Disease = true, Poison = true
				}
			},
			{
				portee = 1022, -- bénédiction de protection
				sorts = 
				{
					Lent = true
				}
			}
		}
	},
	{
		nom = L["Instantané"],
		groupe = true,
		arene = true,
		clic = 
		{
			{
				bouton = 1,
				sort = 20473, -- horion sacré
			},
			{ 
				bouton = 2,
				sort = 1022, -- bénédiction de protection
			}
		},
		vie = true,
		portee =
		{
			{
				sort = 1022 -- bénédiction de protection
			}
		}
	}
};

chinonDefautCDs["PALADIN"] =
{
	1044, -- main de liberté
	1022, -- main de protection
	20929, -- horion sacré
	633 -- imposition des mains
}

chinonDefautSBs["PALADIN"]=
{
	20166, -- sceau de sagesse
	20165 -- sceau de lumière
}

chinonDefautBoutons["DRUID"] =
{
	{
		nom = L["Base"],
		groupe = true,
		raid = true,
		arene = true,
		clic =
		{
			{
				bouton = 1,
				sort = 33763 -- fleur de vie
			},
			{
				bouton = 2,
				sort = 8936 -- regrowth
			},
			{
				bouton = 1,
				shift = true,
				sort = 774 -- rejuvenation
			},
			{
				bouton = 2,
				shift = true,
				sort = 18562 -- swiftmend
			},
			{
				bouton = 1,
				ctrl = true,
				sort = 2893 -- abolish poison
			},
			{
				bouton = 2,
				ctrl = true,
				sort = 2782 -- remove curse
			}
		},
		vie = true,
		aggro = true,
		portee =
		{
			{
				sort = 8936
			}
		},
		debuff =
		{
			{
				porte = 2893,
				sorts = 
				{
					Poison = true
				}
			},
			{
				portee = 2782,
				sorts =
				{
					Curse = true
				}
			}
		},
		buff =
		{
			{
				sort = 33763 -- fleur de vie
			}
		},
		debuff2 = {}
	}		
};